Subject: Re: [PATCH v3] powerpc/mm: Implemented default_hugepagesz verification for powerpc

From: Victor Aoqui <[email-masked]>
Date: Mon, 14 Aug 2017 19:06:31 -0300

Em 2017-08-04 02:57, Aneesh Kumar K.V escreveu:
> Victor Aoqui <[email-masked]> writes:
> 
>> Implemented default hugepage size verification (default_hugepagesz=)
>> in order to allow allocation of defined number of pages (hugepages=)
>> only for supported hugepage sizes.
>> 
>> Signed-off-by: Victor Aoqui <[email-masked]>
> 
> I am still not sure about this. With current upstream we get
> 
>  PCI: Probing PCI hardware
>  PCI: Probing PCI hardware done
> 
> 
>  HugeTLB: unsupported default_hugepagesz 2097152. Reverting to
> 16777216
> 
>  HugeTLB registered 16.0 MiB page size, pre-allocated 0 pages
> 
> 
>  HugeTLB registered 16.0 GiB page size, pre-allocated 0 pages
> 
> That warning is added by
> 
> d715cf804a0318e83c75c0a7abd1a4b9ce13e8da
> 
> Which should be good enough right ?
> 
> -aneesh

Hi Aneesh,

Sorry for the delay. I was on vacation.
Yes, that solves the issue. This patch was accepted when I was fixing 
the last version.
Sorry for the inconvenience.

-- 
Victor Aoqui